package cmm.service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import cmm.util.CmmVO;

/**  
 * @Class Name : CmmAmsAssetMediaVO.java
 * @author ecplaza 
 * @since 2018-05-11O
 * @version 1.0
 */

@SuppressWarnings("serial")
public class CmmCmsAssetsVO extends CmmVO {
	
	private String id = "";
	private String contentId = "";
	private String interfaceId = "";
	private String assetType = "";
	private String mainImg = "";
	private String orignlFileName = "";
	private String streFileName = "";
	private String title = "";
	private String subtitle = "";
	private String fileSize = "";
	private String filePath = "";
	private String fileExt = "";
	private String assetAlt = "";
	private String subtitleAt = "";
	private String subtitleOrgFileName = "";
	private String subtitleStreFileName = "";
	private String subtitleDesc = "";
	private String isSeries = "";
	private String firstClassNm = "";
	private String secondClassNm = "";
	private String summary = "";
	private String addition = "";
	private String lang = "";
	private String field = "";
	private String age = "";
	private String chronological = "";
	private String category = "";
	private String publisher = "";
	private String genyear = "";
	private String author = "";
	private String provider = "";
	private String sourceAt = "";
	private String source = "";
	private String sojangCouncil = "";
	private String sojangLocation = "";
	private String remarksDesc = "";
	private String copyright = "";
	private String retentionPeriod = "";
	private String copyrightMgntDepart = "";
	private String thirdCopyright = "";
	private String cclType = "";
	private String orgOpenAt = "";
	private String listOpenAt = "";
	private Date createdAt = null;
	private Date updatedAt = null;
	private Date deletedAt = null;
	private String useAt = "";
	private String linkData = "";
	private String assetClass = "";
	private String recommendYn = "";
	private String couName = "";
	private String address = "";
	private String userGroup = "";
	private String mgmtNo = "";
	List<CmmCmsVO> sidoList = null;
	List<String> contentIdList;
	private String [] codeIdList;
	private String [] assetTypeList;
	private String [] userGroupList;
	private String [] ageList;
	private String [] assetClassList;
	private String [] councilList;
	private String [] assetClassArray;
	
	public String getAssetClass() {
		return assetClass;
	}
	public void setAssetClass(String assetClass) {
		this.assetClass = assetClass;
	}
	public String getLinkData() {
		return linkData;
	}
	public void setLinkData(String linkData) {
		this.linkData = linkData;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getContentId() {
		return contentId;
	}
	public void setContentId(String contentId) {
		this.contentId = contentId;
	}
	public String getInterfaceId() {
		return interfaceId;
	}
	public void setInterfaceId(String interfaceId) {
		this.interfaceId = interfaceId;
	}
	public String getAssetType() {
		return assetType;
	}
	public void setAssetType(String assetType) {
		this.assetType = assetType;
	}
	public String getMainImg() {
		return mainImg;
	}
	public void setMainImg(String mainImg) {
		this.mainImg = mainImg;
	}
	public String getOrignlFileName() {
		return orignlFileName;
	}
	public void setOrignlFileName(String orignlFileName) {
		this.orignlFileName = orignlFileName;
	}
	public String getStreFileName() {
		return streFileName;
	}
	public void setStreFileName(String streFileName) {
		this.streFileName = streFileName;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getSubtitle() {
		return subtitle;
	}
	public void setSubtitle(String subtitle) {
		this.subtitle = subtitle;
	}
	public String getFileSize() {
		return fileSize;
	}
	public void setFileSize(String fileSize) {
		this.fileSize = fileSize;
	}
	public String getFilePath() {
		return filePath;
	}
	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}
	public String getFileExt() {
		return fileExt;
	}
	public void setFileExt(String fileExt) {
		this.fileExt = fileExt;
	}
	public String getAssetAlt() {
		return assetAlt;
	}
	public void setAssetAlt(String assetAlt) {
		this.assetAlt = assetAlt;
	}
	public String getSubtitleAt() {
		return subtitleAt;
	}
	public void setSubtitleAt(String subtitleAt) {
		this.subtitleAt = subtitleAt;
	}
	public String getSubtitleOrgFileName() {
		return subtitleOrgFileName;
	}
	public void setSubtitleOrgFileName(String subtitleOrgFileName) {
		this.subtitleOrgFileName = subtitleOrgFileName;
	}
	public String getSubtitleStreFileName() {
		return subtitleStreFileName;
	}
	public void setSubtitleStreFileName(String subtitleStreFileName) {
		this.subtitleStreFileName = subtitleStreFileName;
	}
	public String getSubtitleDesc() {
		return subtitleDesc;
	}
	public void setSubtitleDesc(String subtitleDesc) {
		this.subtitleDesc = subtitleDesc;
	}
	public String getIsSeries() {
		return isSeries;
	}
	public void setIsSeries(String isSeries) {
		this.isSeries = isSeries;
	}
	public String getFirstClassNm() {
		return firstClassNm;
	}
	public void setFirstClassNm(String firstClassNm) {
		this.firstClassNm = firstClassNm;
	}
	public String getSecondClassNm() {
		return secondClassNm;
	}
	public void setSecondClassNm(String secondClassNm) {
		this.secondClassNm = secondClassNm;
	}
	public String getSummary() {
		return summary;
	}
	public void setSummary(String summary) {
		this.summary = summary;
	}
	public String getAddition() {
		return addition;
	}
	public void setAddition(String addition) {
		this.addition = addition;
	}
	public String getLang() {
		return lang;
	}
	public void setLang(String lang) {
		this.lang = lang;
	}
	public String getField() {
		return field;
	}
	public void setField(String field) {
		this.field = field;
	}
	public String getAge() {
		return age;
	}
	public void setAge(String age) {
		this.age = age;
	}
	public String getChronological() {
		return chronological;
	}
	public void setChronological(String chronological) {
		this.chronological = chronological;
	}
	public String getCategory() {
		return category;
	}
	public void setCategory(String category) {
		this.category = category;
	}
	public String getPublisher() {
		return publisher;
	}
	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}
	public String getGenyear() {
		return genyear;
	}
	public void setGenyear(String genyear) {
		this.genyear = genyear;
	}
	public String getAuthor() {
		return author;
	}
	public void setAuthor(String author) {
		this.author = author;
	}
	public String getProvider() {
		return provider;
	}
	public void setProvider(String provider) {
		this.provider = provider;
	}
	public String getSourceAt() {
		return sourceAt;
	}
	public void setSourceAt(String sourceAt) {
		this.sourceAt = sourceAt;
	}
	public String getSource() {
		return source;
	}
	public void setSource(String source) {
		this.source = source;
	}
	public String getSojangCouncil() {
		return sojangCouncil;
	}
	public void setSojangCouncil(String sojangCouncil) {
		this.sojangCouncil = sojangCouncil;
	}
	public String getSojangLocation() {
		return sojangLocation;
	}
	public void setSojangLocation(String sojangLocation) {
		this.sojangLocation = sojangLocation;
	}
	
	public String getRemarksDesc() {
		return remarksDesc;
	}
	public void setRemarksDesc(String remarksDesc) {
		this.remarksDesc = remarksDesc;
	}
	public String getCopyright() {
		return copyright;
	}
	public void setCopyright(String copyright) {
		this.copyright = copyright;
	}
	public String getRetentionPeriod() {
		return retentionPeriod;
	}
	public void setRetentionPeriod(String retentionPeriod) {
		this.retentionPeriod = retentionPeriod;
	}
	public String getCopyrightMgntDepart() {
		return copyrightMgntDepart;
	}
	public void setCopyrightMgntDepart(String copyrightMgntDepart) {
		this.copyrightMgntDepart = copyrightMgntDepart;
	}
	public String getThirdCopyright() {
		return thirdCopyright;
	}
	public void setThirdCopyright(String thirdCopyright) {
		this.thirdCopyright = thirdCopyright;
	}
	public String getCclType() {
		return cclType;
	}
	public void setCclType(String cclType) {
		this.cclType = cclType;
	}
	public String getOrgOpenAt() {
		return orgOpenAt;
	}
	public void setOrgOpenAt(String orgOpenAt) {
		this.orgOpenAt = orgOpenAt;
	}
	public String getListOpenAt() {
		return listOpenAt;
	}
	public void setListOpenAt(String listOpenAt) {
		this.listOpenAt = listOpenAt;
	}
	public Date getCreatedAt() {
		return createdAt;
	}
	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}
	public Date getUpdatedAt() {
		return updatedAt;
	}
	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}
	public Date getDeletedAt() {
		return deletedAt;
	}
	public void setDeletedAt(Date deletedAt) {
		this.deletedAt = deletedAt;
	}
	public String getUseAt() {
		return useAt;
	}
	public void setUseAt(String useAt) {
		this.useAt = useAt;
	}
	public String getRecommendYn() {
		return recommendYn;
	}
	public void setRecommendYn(String recommendYn) {
		this.recommendYn = recommendYn;
	}
	public String getCouName() {
		return couName;
	}
	public void setCouName(String couName) {
		this.couName = couName;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getUserGroup() {
		return userGroup;
	}
	public void setUserGroup(String userGroup) {
		this.userGroup = userGroup;
	}
	
	
	public String getMgmtNo() {
		return mgmtNo;
	}
	public void setMgmtNo(String mgmtNo) {
		this.mgmtNo = mgmtNo;
	}
	public List<CmmCmsVO> getSidoList() {
		List<CmmCmsVO> ret = null;
		if(this.sidoList != null){
			ret = new ArrayList<CmmCmsVO>(); 
			ret = this.sidoList;
		}
		return ret;
	}
	
	public void setSidoList(ArrayList<CmmCmsVO> cmmCmsSidoList) { 
		this.sidoList = new ArrayList<CmmCmsVO> (cmmCmsSidoList.size()); 
		for(int i=0; i<cmmCmsSidoList.size(); ++i) {
			this.sidoList.add(i, cmmCmsSidoList.get(i)); 
		}
	}	
	
	public String[] getAssetTypeList() {
		String[] ret = null;
		if(this.assetTypeList != null){
			ret = new String[assetTypeList.length]; 
			ret = this.assetTypeList;
		}
		return ret;
	}
	
	public void setAssetTypeList(String[] assetTypeList) { 
		this.assetTypeList = new String[assetTypeList.length]; 
		for(int i=0; i<assetTypeList.length; ++i) {
			this.assetTypeList[i] = assetTypeList[i]; 
		}
	}	
	
	public String[] getUserGroupList() {
		String[] ret = null;
		if(this.userGroupList != null){
			ret = new String[userGroupList.length]; 
			ret = this.userGroupList;
		}
		return ret;
	}
	
	public void setUserGroupList(String[] userGroupList) { 
		this.userGroupList = new String[userGroupList.length]; 
		for(int i=0; i<userGroupList.length; ++i) {
			this.userGroupList[i] = userGroupList[i]; 
		}
	}		
	
	
	public String[] getAgeList() {
		String[] ret = null;
		if(this.ageList != null){
			ret = new String[ageList.length]; 
			ret = this.ageList;
		}
		return ret;
	}
	
	public void setAgeList(String[] ageList) { 
		this.ageList = new String[ageList.length]; 
		for(int i=0; i<ageList.length; ++i) {
			this.ageList[i] = ageList[i]; 
		}
	}	
	
	public String[] getAssetClassList() {
		String[] ret = null;
		if(this.assetClassList != null){
			ret = new String[assetClassList.length]; 
			ret = this.assetClassList;
		}
		return ret;
	}
	
	public void setAssetClassList(String[] assetClassList) { 
		this.assetClassList = new String[assetClassList.length]; 
		for(int i=0; i<assetClassList.length; ++i) {
			this.assetClassList[i] = assetClassList[i]; 
		}
	}

	public String[] getCouncilList() {
		String[] ret = null;
		if(this.councilList != null){
			ret = new String[councilList.length]; 
			ret = this.councilList;
		}
		return ret;
	}
	
	public void setCouncilList(String[] councilList) { 
		this.councilList = new String[councilList.length]; 
		for(int i=0; i<councilList.length; ++i) {
			this.councilList[i] = councilList[i]; 
		}
	}
	
	public List<String> getContentIdList() {
		List<String> ret = null;
		if(this.contentIdList != null){
			ret = new ArrayList<String>(); 
			ret = this.contentIdList;
		}
		return ret;
	}
	
	public void setContentIdList(List<String> contentIdList) { 
		this.contentIdList = new ArrayList<String> (contentIdList.size()); 
		for(int i=0; i<contentIdList.size(); ++i) {
			this.contentIdList.add(i, contentIdList.get(i)); 
		}
	}
	
	public String[] getAssetClassArray() {
		String[] ret = null;
		if(this.assetClassArray != null){
			ret = new String[assetClassArray.length]; 
			ret = this.assetClassArray;
		}
		return ret;
	}
	
	public void setAssetClassArray(String[] assetClassArray) { 
		this.assetClassArray = new String[assetClassArray.length]; 
		for(int i=0; i<assetClassArray.length; ++i) {
			this.assetClassArray[i] = assetClassArray[i]; 
		}
	}
	
	public String[] getCodeIdList() {
		String[] ret = null;
		if(this.codeIdList != null){
			ret = new String[codeIdList.length]; 
			ret = this.codeIdList;
		}
		return ret;
	}
	
	public void setCodeIdList(String[] codeIdList) { 
		this.codeIdList = new String[codeIdList.length]; 
		for(int i=0; i<codeIdList.length; ++i) {
			this.codeIdList[i] = codeIdList[i]; 
		}
	}
	
}
